package com.ruoyi.common.exception.tenantdatassource;

import com.ruoyi.common.core.domain.AjaxResult;

/**
 * @author hanzihang
 * @date 2023/9/20 5:16
 */
public class TenantDataSource extends RuntimeException {

    public TenantDataSource() {
        super();
    }

    public TenantDataSource(String message) {
        super(message);
    }

    public TenantDataSource(String message, Throwable cause) {
        super(message, cause);
    }

    public TenantDataSource(Throwable cause) {
        super(cause);
    }

    public TenantDataSource(Object message, Object code) {
        super(message.toString());
    }

}
